require 'ratr'

describe Ratr::ArrayOfHashes do
  describe '.merge' do
    let(:merge) { Ratr::ArrayOfHashes.merge(array) }

    context 'singular hash' do
      let(:array) { [{"a" => [1], "b" => [2]}] }

      it 'returns the hash' do
        expect(merge).to eq array[0]
      end
    end

    context 'two hashes' do
      let(:array) {[{"a" => [1], "b" => [2]}, {"a" => [2], "b" => [1]}] }

      it 'merges them like a normal merge' do
        expected_result = {"a" => [1,2], "b" => [2,1]}

        expect(merge).to eq expected_result
      end
    end

    context 'three hashes (n hashes really)' do
      let(:array) {[{"a" => [1], "b" =>[3]}, {"a" => [2], "b" =>[2]}, {"a" =>[3], "b"=>[1]}] }
      it 'merges them just like two hashes, but with #reduce' do
        expected_result = {"a" => [1,2,3], "b" => [3,2,1]}

        expect(merge).to eq expected_result
      end
    end
  end
end
