require 'ratr'

describe Ratr::MetaRating do
  let(:na) { "N/A" }
  describe 'comparison' do
    let(:no_score) { Ratr::MetaRating.new(na, na) }
    let(:high_score) { Ratr::MetaRating.new(8.4) }
    let(:low_score) { Ratr::MetaRating.new(8.3) }

    context 'comparison of no score with anything should be less than' do
      it { expect(no_score < no_score).to be true }
      it { expect(no_score < low_score).to be true }
      it { expect(no_score < high_score).to be true }
    end

    context 'comparison of actual score with no score should be greater than' do
      it { expect(high_score > no_score).to be true }
      it { expect(low_score > no_score).to be true }
    end

    context 'comparison of actual numbers should follow reason' do
      it { expect(high_score > low_score).to be true }
      it { expect(low_score == low_score).to be true }
    end
  end
end
